Amazon Neptune 引擎版本 1.0.2.0.R3 (2020-05-05) - Amazon Neptune
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

Amazon Neptune 引擎版本 1.0.2.0.R3 (2020-05-05)

重要提示:此版本现已弃用。

此引擎版本现已被取代。版本 1.0.2.1,其中包含此版本中的所有错误修复以及其他功能,例如全文搜索集成、OSGP 索引支持和跨跨数据库快照集群副本。Amazon地区。

自 2020 年 6 月 1 日起,Neptune 将自动将运行此引擎版本的任何集群升级到1.0.2.1 版本的最新补丁在下一维护时段内。您可以在此之前手动升级,如此处所述。

如果您在升级过程中遇到任何问题,请通过与我们联系。Amazon支持或者Amazon开发者论坛.

在此引擎版本中修复的缺陷

  • 修复了将 ConcurrentModificationConflictExceptionTransactionException 报告为一般 InternalFailureException 的错误。

  • 修复了运行状况检查中导致服务器在启动期间频繁重新启动的错误。

  • 修复了由于特定条件下提交顺序混乱导致数据在副本上不可见的错误。

  • 修复了加载状态序列化中的一个错误,即加载由于缺少 Amazon S3 访问权限而失败。

  • 解决了 Gremlin 会话中的资源泄漏问题。

  • 修复了运行状况检查中的一个错误,该错误隐藏管理 IAM 身份验证的组件启动时的不正常状态。

  • 修复了 Neptune 无法在关闭通道之前发送 WebSocket 关闭帧的错误。

此版本支持的查询语言版本

在将数据库集群升级到版本 1.0.2.0.R3 之前,请确保您的项目与以下查询语言版本兼容:

  • Gramlin 版本: 3.4.1

  • SPARQL 版本: 1.1

升级到引擎版本 1.0.2.0.0.R3

如果您正在运行引擎版本 1.0.2.0,您的集群将在下一个维护时段内自动升级到此补丁版本。

您可以将任何以前的 Neptune 引擎版本手动升级到此版本。

升级到此版本

Amazon Neptune 1.0.2.0.R3 现已正式上市。

如果数据库集群运行的引擎版本有此版本的升级路径,则现在有资格进行升级。您可以使用控制台上的数据库集群操作或者使用开发工具包来升级任何符合条件的集群。以下 CLI 命令将立即升级符合条件的集群:

针对 Linux、OS X 或 Unix:

aws neptune modify-db-cluster \ --db-cluster-identifier (your-neptune-cluster) \ --engine-version 1.0.2.0 \ --apply-immediately

对于 Windows:

aws neptune modify-db-cluster ^ --db-cluster-identifier (your-neptune-cluster) ^ --engine-version 1.0.2.0 ^ --apply-immediately

更新将同时应用于数据库集群中的所有实例。更新需要在这些实例上重新启动数据库,因此,会出现从 20 秒到几分钟的停机,之后您可以继续使用数据库集群。

有关升级引擎版本的更多信息,请参阅Neptune 引擎更新. 如果您有任何问题或疑虑,Amazon可 Support 过社区论坛和通过AmazonPremium Support.